def strcmp(s1,s2):

	if s1 == s2:
		return True
	else:
		return False

def strncmp(s1,s2,n):

	if s1[0:n] == s2[0:n]:
		return True
	else:
		return False

def strcmpi(s1,s2):

	if s1.lower() == s2.lower():
		return True
	else:
		return False

def strncmpi(s1,s2,n):

	if s1.lower()[0:n] == s2.lower()[0:n]:
		return True
	else:
		return False

def ismember(a,s):
	import numpy

	if not isinstance(s,(tuple,list,dict,numpy.ndarray)):
		s=[s]

	if not isinstance(a,(tuple,list,dict,numpy.ndarray)):
		a=[a]

	if not isinstance(a,numpy.ndarray):
		b=[item in s for item in a]

	else:
		b=numpy.empty_like(a)
		for i,item in enumerate(a.flat):
			b.flat[i]=item in s

	return b

